# DataExchange
TKXCAF
XCAFDoc

# XCAFDoc_Volume Class Reference

`#include <XCAFDoc_Volume.hxx>`

## Public Member Functions

Standard_EXPORT | XCAFDoc_Volume ()
| class methods =============
Standard_EXPORT const Standard_GUID & | ID () const
Standard_EXPORT void | Set (const Standard_Real vol)
| Sets a value of volume .
Standard_EXPORT Standard_Real | Get () const
Standard_EXPORT void | Restore (const Handle(TDF_Attribute)&With)
Standard_EXPORT Handle_TDF_Attribute | NewEmpty () const
Standard_EXPORT void | Paste (const Handle(TDF_Attribute)&Into, const Handle(TDF_RelocationTable)&RT) const
virtual Standard_EXPORT Standard_OStream & | Dump (Standard_OStream &anOS) const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Static Public Member Functions

static Standard_EXPORT const Standard_GUID & | GetID ()
static Standard_EXPORT Handle_XCAFDoc_Volume | Set (const TDF_Label &label, const Standard_Real vol)
| Find, or create, an Volume attribute and set its value .
static Standard_EXPORT Standard_Boolean | Get (const TDF_Label &label, Standard_Real &vol)
| Returns volume as argument returns false if no such attribute at the <label> .

## Private Attributes

Standard_Real | myValue

## Constructor & Destructor Documentation

Standard_EXPORT XCAFDoc_Volume::XCAFDoc_Volume | ( |  | ) |

## Member Function Documentation

virtual Standard_EXPORT Standard_OStream& XCAFDoc_Volume::Dump | ( | Standard_OStream & | anOS | ) | const`[virtual]`

static Standard_EXPORT Standard_Boolean XCAFDoc_Volume::Get | ( | const TDF_Label & | label,
|  | Standard_Real & | vol
| ) | `[static]`

Standard_EXPORT Standard_Real XCAFDoc_Volume::Get | ( |  | ) | const

static Standard_EXPORT const Standard_GUID& XCAFDoc_Volume::GetID | ( |  | ) | `[static]`

Standard_EXPORT const XCAFDoc_Volume::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT const Standard_GUID& XCAFDoc_Volume::ID | ( |  | ) | const

Standard_EXPORT Handle_TDF_Attribute XCAFDoc_Volume::NewEmpty | ( |  | ) | const

Standard_EXPORT void XCAFDoc_Volume::Paste | ( | const Handle(TDF_Attribute)& | Into,
|  | const Handle(TDF_RelocationTable)& | RT
| ) | const

Standard_EXPORT void XCAFDoc_Volume::Restore | ( | const Handle(TDF_Attribute)& | With | ) |

static Standard_EXPORT Handle_XCAFDoc_Volume XCAFDoc_Volume::Set | ( | const TDF_Label & | label,
|  | const Standard_Real | vol
| ) | `[static]`

Standard_EXPORT void XCAFDoc_Volume::Set | ( | const Standard_Real | vol | ) |

## Field Documentation

Standard_Real XCAFDoc_Volume::myValue `[private]`

The documentation for this class was generated from the following file:

- XCAFDoc_Volume.hxx